## r-cran-sqldf 0.4

=== DESCRIPTION ===
Package: sqldf
Version: 0.4-12
Date: 2026-01-29
Title: Manipulate R Data Frames Using SQL
Authors@R: person(given = "G.",
                  family = "Grothendieck",
                  role = c("aut", "cre"),
                  email = "ggrothendieck@gmail.com")
Description: The sqldf() function is typically passed a single argument which 
	is an SQL select statement where the table names are ordinary R data 
	frame names.  sqldf() transparently sets up a database, imports the 
	data frames into that database, performs the SQL select or other
	statement and returns the result using a heuristic to determine which 
	class to assign to each column of the returned data frame.  The sqldf() 
	or read.csv.sql() functions can also be used to read filtered files 
	into R even if the original files are larger than R itself can handle.
	'RSQLite', 'RH2', 'RMySQL' and 'RPostgreSQL' backends are supported.
ByteCompile: true
Depends: R (>= 3.1.0), gsubfn (>= 0.6), proto, RSQLite
Suggests: RH2, RMySQL, RPostgreSQL, svUnit, tcltk, MASS
Imports: DBI, chron
License: GPL-2
BugReports: https://github.com/ggrothendieck/sqldf/issues
URL: https://github.com/ggrothendieck/sqldf
NeedsCompilation: no
Packaged: 2026-01-30 02:30:02 UTC; louis
Author: G. Grothendieck [aut, cre]
Maintainer: G. Grothendieck <ggrothendieck@gmail.com>
Repository: CRAN
Date/Publication: 2026-01-30 06:10:09 UTC

## r-cran-sqldf 0.4-11

=== debian/changelog ===
r-cran-sqldf (0.4-11-2) unstable; urgency=medium

  * Team upload.
    + Source-only upload.

 -- Nilesh Patra <nilesh@debian.org>  Sun, 05 Dec 2021 02:55:06 +0530

r-cran-sqldf (0.4-11-1) unstable; urgency=medium

  * Team upload
  * Initial release (closes: #994398)

 -- Andreas Tille <tille@debian.org>  Wed, 24 Nov 2021 07:30:26 +0100

=== debian/control ===
Source: r-cran-sqldf
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Steffen Moeller <moeller@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-proto,
               r-cran-rsqlite,
               r-cran-dbi,
               r-cran-chron,
               r-cran-gsubfn
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-sqldf
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-sqldf.git
Homepage: https://cran.r-project.org/package=sqldf
Rules-Requires-Root: no

Package: r-cran-sqldf
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: manipulate GNU R data frames using SQL
 The sqldf() function is typically passed a single argument which
 is an SQL select statement where the table names are ordinary R data
 frame names.  sqldf() transparently sets up a database, imports the
 data frames into that database, performs the SQL select or other
 statement and returns the result using a heuristic to determine which
 class to assign to each column of the returned data frame.  The sqldf()
 or read.csv.sql() functions can also be used to read filtered files
 into R even if the original files are larger than R itself can handle.
 'RSQLite', 'RH2', 'RMySQL' and 'RPostgreSQL' backends are supported.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

override_dh_fixperms:
	dh_fixperms
	chmod +x debian/r-cran-sqldf/usr/lib/R/site-library/sqldf/csv.awk

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-svunit,
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/sqldf_([-\d.]*)\.tar\.gz

## r-cran-sqldf 0.4-12

=== debian/changelog ===
r-cran-sqldf (0.4-12-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  Trim trailing whitespace.
  Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository, Repository-Browse.

 -- Charles Plessy <plessy@debian.org>  Fri, 06 Feb 2026 17:09:24 +0900

=== debian/control ===
Source: r-cran-sqldf
Standards-Version: 4.7.3
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders:
 Steffen Moeller <moeller@debian.org>,
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Build-Depends:
 debhelper-compat (= 13),
 dh-r,
 r-base-dev,
 r-cran-gsubfn,
 r-cran-proto,
 r-cran-rsqlite,
 r-cran-dbi,
 r-cran-chron,
 architecture-is-64-bit,
 architecture-is-little-endian,
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-sqldf
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-sqldf.git
Homepage: https://cran.r-project.org/package=sqldf
Rules-Requires-Root: no

Package: r-cran-sqldf
Architecture: all
Depends:
 ${R:Depends},
 ${misc:Depends},
Recommends:
 ${R:Recommends},
Suggests:
 ${R:Suggests},
Description: manipulate GNU R data frames using SQL
 The sqldf() function is typically passed a single argument which
 is an SQL select statement where the table names are ordinary R data
 frame names.  sqldf() transparently sets up a database, imports the
 data frames into that database, performs the SQL select or other
 statement and returns the result using a heuristic to determine which
 class to assign to each column of the returned data frame.  The sqldf()
 or read.csv.sql() functions can also be used to read filtered files
 into R even if the original files are larger than R itself can handle.
 'RSQLite', 'RH2', 'RMySQL' and 'RPostgreSQL' backends are supported.

=== debian/rules ===
--- 
+++ 
@@ -6,4 +6,3 @@
 override_dh_fixperms:
 	dh_fixperms
 	chmod +x debian/r-cran-sqldf/usr/lib/R/site-library/sqldf/csv.awk
-

=== debian/tests/control ===
Tests: run-unit-test
Restrictions: allow-stderr
Depends:
 @,
 r-cran-rmysql,
 r-cran-rpostgresql,
 r-cran-svunit,
 r-cran-mass,
